Bug 143086 - [PATCH] net/quagga rc script always returns status 0
[PATCH] net/quagga rc script always returns status 0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
Depends on:
  Show dependency treegraph
Reported: 2010-01-22 16:00 UTC by am
Modified: 2010-02-01 17:50 UTC (History)
0 users

See Also:

file.diff (627 bytes, patch)
2010-01-22 16:00 UTC, am
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description am 2010-01-22 16:00:09 UTC
/usr/local/etc/rc.d/quagga script always returns 0, regardless of actual status of quagga daemons. It should return non-zero when one or more of quagga daemons don't work. This bug breaks applications such as heartbeat which depend on the onestatus command.

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: # /usr/local/etc/rc.d/quagga onestatus
zebra is not running.
bgpd is not running.
# echo $?
Comment 1 Edwin Groothuis freebsd_committer 2010-01-22 16:00:22 UTC
Maintainer of net/quagga,

Please note that PR ports/143086 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-01-22 16:00:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 boris 2010-01-25 04:33:14 UTC

Approved. Thank You!

Comment 4 Mark Linimon freebsd_committer 2010-01-25 06:51:14 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Philip M. Gollucci freebsd_committer 2010-02-01 04:11:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 6 Philip M. Gollucci freebsd_committer 2010-02-01 17:45:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter freebsd_committer 2010-02-01 17:45:38 UTC
pgollucci    2010-02-01 17:45:31 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile 
    net/quagga/files     quagga.sh.in 
  - Fix the return value of the rc.d script
  PR:             ports/143086
  Submitted by:   Emil Smolenski <am@raisa.eu.org>
  Approved by:    Boris Kovalenko <boris@tagnet.ru> (maintainer)
  Revision  Changes    Path
  1.96      +1 -1      ports/net/quagga/Makefile
  1.16      +4 -1      ports/net/quagga/files/quagga.sh.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"